@use '../../../global/styles/styles-variables' as *;
@use './styles/footer-card.variation' as variation;
@use './styles/footer-card.variables' as *;

:host {
	@include digi-footer-card--variables;
	$base: '.digi-footer-card';

	.digi-footer-card {
		--BORDER: unset;
		--LINK-DECORATION: underline;
		--LINK-DECORATION--HOVER: underline;
    --LINK-SIZE: inherit;
		--PADDING-BOTTOM: var(--digi--container-gutter--larger);
		--MARGIN-BOTTOM: var(--digi--container-gutter--larger);

		@media (min-width: $digi--breakpoint--large) {
			--BORDER: 0;
			--PADDING-BOTTOM: var(--digi--container-gutter--large);
		}

		&--border {
			@include variation.border;
		}

		&--icon {
			@include variation.icon;
		}

		margin-bottom: var(--MARGIN-BOTTOM);
		padding-bottom: var(--PADDING-BOTTOM);
		border-bottom: var(--BORDER);

		::slotted(*) {
      h2,
			h3,
      h4,
      h5,
      h6 {
				color: var(--digi--footer--text--color);
				margin-top: 0;
			}

      h2 {
        font-size: var(--digi--typography--heading-3--font-size--mobile);

        @media (min-width: $digi--breakpoint--large) {
          font-size: var(--digi--typography--heading-3--font-size--desktop);
        }
      }

			p {
				color: var(--digi--footer--text--color);
			}

			a {
        font-size: var(--LINK-SIZE);
				color: var(--digi--footer--text--color);
				font-weight: var(--digi--footer-card--link--font-weight);
				display: flex;
				align-items: flex-start;
				text-decoration: var(--LINK-DECORATION);

				&:hover {
					text-decoration: var(--LINK-DECORATION--HOVER);
				}

				svg {
					--digi--icon--color: var(--digi--footer-card-text--color);
					--digi--icon--height: 1em;
					--digi--icon--width: 1em;
					margin-right: var(--digi--gutter--small);
				}
			}

			ul {
				padding: 0;
				margin: 0;
				list-style: none;

				li {
					margin-bottom: var(--digi--gutter--largest-2);

					&:last-child {
						margin-bottom: 0;
					}
				}
			}
		}

	}
}